# Method: organizations.locations.frameworkAuditScopeReports.generateFrameworkAuditScopeReport

- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/organizations.locations.frameworkAuditScopeReports/generateFrameworkAuditScopeReport#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/organizations.locations.frameworkAuditScopeReports/generateFrameworkAuditScopeReport#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/organizations.locations.frameworkAuditScopeReports/generateFrameworkAuditScopeReport#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/organizations.locations.frameworkAuditScopeReports/generateFrameworkAuditScopeReport#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/organizations.locations.frameworkAuditScopeReports/generateFrameworkAuditScopeReport#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/organizations.locations.frameworkAuditScopeReports/generateFrameworkAuditScopeReport#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/organizations.locations.frameworkAuditScopeReports/generateFrameworkAuditScopeReport#body.aspect_1)

Generates an audit scope report for a framework.

### HTTP request

`POST https://cloudsecuritycompliance.googleapis.com/v1/{scope=organizations/*/locations/*}/frameworkAuditScopeReports:generateFrameworkAuditScopeReport`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `scope` | `string` Required. The organization, folder, or project for the audit report. Supported formats are the following: - `projects/{projectId}/locations/{location}` - `folders/{folder_id}/locations/{location}` - `organizations/{organization_id}/locations/{location}` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "reportFormat": enum (`https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/Format`), "complianceFramework": string } ``` |

| Fields ||
|---|---|
| `reportFormat` | ``enum (`https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/Format`)`` Required. The format that the scope report is returned in. |
| `complianceFramework` | `string` Required. The compliance framework that the scope report is generated for. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/GenerateFrameworkAuditScopeReportResponse`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `scope` resource:

- `cloudsecuritycompliance.auditScopeReports.generate`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).